classification
Title: [Doc] How does one to about getting onto the "Other Graphical User Interface Packages" page?
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: PySimpleGUI, docs@python, lukasz.langa, mdk, miss-islington, quantum, terry.reedy, zach.ware
Priority: normal Keywords: easy, newcomer friendly, patch

Created on 2021-08-12 15:22 by PySimpleGUI, last changed 2021-08-17 10:10 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 27762 merged quantum, 2021-08-13 18:48
PR 27790 merged miss-islington, 2021-08-17 09:01
PR 27791 merged miss-islington, 2021-08-17 09:02
Messages (10)
msg399465 - (view) Author: PySimpleGUI (PySimpleGUI) Date: 2021-08-12 15:22
Some time ago I noticed that the Python documentation has a list of GUI packages that are not part of the Python standard library.

https://docs.python.org/3/library/othergui.html

The title of the page I'm talking about says:
Other Graphical User Interface Packages

Major cross-platform (Windows, macOS, Unix-like) GUI toolkits are available for Python:

What are the criteria for being listed?  PySimpleGUI has more monthly installs than Kivy & WxPython. They're not due to being bundled with a Linux distribution.

There is another page with a longer list:
https://docs.python.org/3/faq/gui.html
msg399466 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2021-08-12 15:40
Frankly, we should probably just remove that page, or replace it with a generic "Many other GUI toolkits can be found on PyPI" message.
msg399467 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-08-12 16:06
The direct answer is that you open an issue like you did, make an argument, as you did, and then submit a pull request.  But we certainly do not need two redundant lists.

The Othergui page has a link to
https://wiki.python.org/moin/GuiProgramming
which is not gated and where PySimpleGUI *is* listed.

I think that coredev should get out of the business of maintaining curated GUI lists.  I agree that the restricted Othergui page should be deleted (and any reference thereto removed) and think that the list on the faq should be replaced by a reference to the Wiki and to PyPI.  Zach, can you prepare a PR?
msg399468 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2021-08-12 16:13
I don't have the bandwidth to do so at the moment, but am willing to review one :)
msg399532 - (view) Author: PySimpleGUI (PySimpleGUI) Date: 2021-08-13 12:36
Thank you Terry!  I'm glad I got it right.

I've been trying to keep the wiki page updated that you mentioned as best I can:
https://wiki.python.org/moin/GuiProgramming

I agree with the overall conclusion that the wiki is the place these lists should live.
msg399553 - (view) Author: Gautam Chaudhuri (quantum) * Date: 2021-08-13 18:54
I've submitted a PR making the changes suggested by Terry. Any
feedback/suggestions on the PR would be highly appreciated.

--

Gautam Chaudhuri
msg399719 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-08-17 09:01
New changeset 6a358bb9482f7595b858ea7b800cbe66f0de5fa1 by Gautam Chaudhuri in branch 'main':
bpo-44903: Removed othergui.rst and list of GUI frameworks (GH-27762)
https://github.com/python/cpython/commit/6a358bb9482f7595b858ea7b800cbe66f0de5fa1
msg399732 - (view) Author: miss-islington (miss-islington) Date: 2021-08-17 10:08
New changeset f6bd1ca166a9c8c9769fb23bc6d8f9c6dcc907ab by Miss Islington (bot) in branch '3.10':
bpo-44903: Removed othergui.rst and list of GUI frameworks (GH-27762)
https://github.com/python/cpython/commit/f6bd1ca166a9c8c9769fb23bc6d8f9c6dcc907ab
msg399733 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-08-17 10:09
New changeset e21b66b0446d119862d352b1eecc830fed4192ff by Miss Islington (bot) in branch '3.9':
bpo-44903: Removed othergui.rst and list of GUI frameworks (GH-27762) (GH-27790)
https://github.com/python/cpython/commit/e21b66b0446d119862d352b1eecc830fed4192ff
msg399734 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-08-17 10:10
Thanks all! ✨ 🍰 ✨

CPython docs are now out of the business of curating lists of GUI frameworks.
History
Date User Action Args
2021-08-17 10:10:11lukasz.langasetstatus: open -> closed
resolution: fixed
messages: + msg399734

stage: patch review -> resolved
2021-08-17 10:09:13lukasz.langasetmessages: + msg399733
2021-08-17 10:08:56miss-islingtonsetmessages: + msg399732
2021-08-17 09:02:10miss-islingtonsetpull_requests: + pull_request26261
2021-08-17 09:01:15miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request26260
2021-08-17 09:01:06lukasz.langasetnosy: + lukasz.langa
messages: + msg399719
2021-08-13 18:54:13quantumsetmessages: + msg399553
2021-08-13 18:48:06quantumsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request26238
2021-08-13 12:36:31PySimpleGUIsetmessages: + msg399532
2021-08-13 12:00:55quantumsetnosy: + quantum
2021-08-12 16:13:09zach.waresetkeywords: + easy, newcomer friendly
type: enhancement
messages: + msg399468

stage: needs patch
2021-08-12 16:06:03terry.reedysetnosy: + terry.reedy
messages: + msg399467
2021-08-12 15:40:59zach.waresetnosy: + zach.ware, mdk

messages: + msg399466
versions: + Python 3.11, - Python 3.6, Python 3.7, Python 3.8
2021-08-12 15:22:38PySimpleGUIcreate